Apache Tomcat 7.0.42

## org.apache.tomcat.util.bcel.classfile
Class ClassFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.tomcat.util.bcel.classfile.ClassFormatException

All Implemented Interfaces:
  Serializable

    public class ClassFormatException

extends RuntimeException

Thrown when the BCEL attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Version:
  $Id: ClassFormatException.java 992392 2010-09-03 17:40:12Z markt $
Author:
  M. Dahm
See Also:
  Serialized Form

Constructor Summary
`ClassFormatException()`
`ClassFormatException(String s)`
`ClassFormatException(String s, Throwable initCause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFormatException

    public ClassFormatException()

### ClassFormatException

    public ClassFormatException(String s)

### ClassFormatException

    public ClassFormatException(String s,
                                Throwable initCause)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.